--- old/usr/src/tools/smatch/src/validation/optim/bool-simplify.c	Sat Nov 16 11:18:17 2019
+++ new/usr/src/tools/smatch/src/validation/optim/bool-simplify.c	Sat Nov 16 11:18:17 2019
@@ -18,6 +18,17 @@
 	return a || 1;
 }
 
+// try again but with something true but != 1
+int and_2(int a)
+{
+	return a && 2;
+}
+
+int or_2(int a)
+{
+	return a || 2;
+}
+
 /*
  * check-name: bool-simplify
  * check-command: test-linearize -Wno-decl $file
@@ -32,17 +43,15 @@
 and_1:
 .L2:
 	<entry-point>
-	setne.1     %r8 <- %arg1, $0
-	cast.32     %r11 <- (1) %r8
-	ret.32      %r11
+	setne.32    %r9 <- %arg1, $0
+	ret.32      %r9
 
 
 or_0:
 .L4:
 	<entry-point>
-	setne.1     %r14 <- %arg1, $0
-	cast.32     %r17 <- (1) %r14
-	ret.32      %r17
+	setne.32    %r14 <- %arg1, $0
+	ret.32      %r14
 
 
 or_1:
@@ -49,6 +58,19 @@
 .L6:
 	<entry-point>
 	ret.32      $1
+
+
+and_2:
+.L8:
+	<entry-point>
+	setne.32    %r25 <- %arg1, $0
+	ret.32      %r25
+
+
+or_2:
+.L10:
+	<entry-point>
+	ret.32      $1
 
 
  * check-output-end
